# ML-Cloud-Tools - [Code Doc](https://telekom.github.io/ml-cloud-tools/)

[![MIT License](https://img.shields.io/github/license/telekom/ml-cloud-tools)](https://github.com/telekom/ml-cloud-tools/blob/main/LICENSE)
[![Python Version](https://img.shields.io/pypi/pyversions/ml-cloud-tools)](https://www.python.org)
[![pypi](https://img.shields.io/pypi/v/ml-cloud-tools.svg)](https://pypi.python.org/pypi/ml-cloud-tools)
<br/>
[![pytest](https://github.com/telekom/ml-cloud-tools/actions/workflows/pytest.yml/badge.svg)](https://github.com/telekom/ml-cloud-tools/actions/workflows/pytest.yml)
[![Static Code Checks](https://github.com/telekom/ml-cloud-tools/actions/workflows/static_checks.yml/badge.svg)](https://github.com/telekom/ml-cloud-tools/actions/workflows/static_checks.yml)
[![Build & Deploy Doc](https://github.com/telekom/ml-cloud-tools/actions/workflows/build_deploy_doc.yml/badge.svg)](https://github.com/telekom/ml-cloud-tools/actions/workflows/build_deploy_doc.yml)
[![GitHub issues](https://img.shields.io/github/issues-raw/telekom/ml-cloud-tools)](https://github.com/telekom/ml-cloud-tools/issues)

☁️ Machine Learning Tools for the Cloud. Currently very much focused on AWS and S3. ☁️

## Table of Contents

- [Installation](#installation)
- [Support and Feedback](#support-and-feedback)
- [Reporting Security Vulnerabilities](#reporting-security-vulnerabilities)
- [Contribution](#contribution)
- [Code of Conduct](#code-of-conduct)
- [Licensing](#licensing)

## Installation

ML-Cloud-Tools is available at [the Python Package Index (PyPI)](https://pypi.org/project/ml-cloud-tools/).
It can be installed with pip:

```bash
$ pip install ml-cloud-tools
```

## Support and Feedback

The following channels are available for discussions, feedback, and support requests:

- [open an issue in our GitHub repository](https://github.com/telekom/ml-cloud-tools/issues/new/choose)
- [send an e-mail to our open source team](mailto:opensource@telekom.de)

## Reporting Security Vulnerabilities

This project is built with security and data privacy in mind to ensure your data is safe.
We are grateful for security researchers and users reporting a vulnerability to us, first.
To ensure that your request is handled in a timely manner and non-disclosure of vulnerabilities
can be assured, please follow the below guideline.

**Please do not report security vulnerabilities directly on GitHub.
GitHub Issues can be publicly seen and therefore would result in a direct disclosure.**

Please address questions about data privacy, security concepts,
and other media requests to the [opensource@telekom.de](mailto:opensource@telekom.de) mailbox.

## Contribution

Our commitment to open source means that we are enabling - in fact encouraging - all interested
parties to contribute and become part of our developer community.

Contribution and feedback is encouraged and always welcome. For more information about how to
contribute, as well as additional contribution information, see our
[Contribution Guidelines](https://github.com/telekom/ml-cloud-tools/blob/main/CONTRIBUTING.md).

## Code of Conduct

This project has adopted the [Contributor Covenant](https://www.contributor-covenant.org/)
as our code of conduct. Please see the details in our
[Contributor Covenant Code of Conduct](https://github.com/telekom/ml-cloud-tools/blob/main/CODE_OF_CONDUCT.md).
All contributors must abide by the code of conduct.

## Licensing

Copyright (c) 2021 Timothy Wolff-Piggott, Deutsche Telekom AG<br/>
Copyright (c) 2021-2023 Philip May, Deutsche Telekom AG<br/>
Copyright (c) 2021-2023 Philip May

Licensed under the **MIT License** (the "License"); you may not use this file except in compliance with the License.
You may obtain a copy of the License by reviewing the file
[LICENSE](https://github.com/telekom/ml-cloud-tools/blob/main/LICENSE) in the repository.
